<bugID>652600<Summary>It should not be possible to unfocus the chrome of a blank tab</Summary><Description>This is a follow-up bug from bug 615728.

To reproduce:
1. open a new tab
2. cause it to loose focus by clicking in the content area
3. start typing
4. keyboard input is ignored

Recommendations:
* if you start typing on a blank tab when it isn't focused, focus the URL field
* if the search field or URL field is focused, retain this focus when switching back from a different tab (also related: bug 536576, a subset of this problem)

It should never be possible to get a blank tab without focus &#8212; the easy way might be to just accept keyboard input and focus when it happens, or build logic to make sure it doesn't happen &#8212;&#160;I'll leave that decision up to you guys, they are equivalent as far as the UX goes.</Description></bugID>